### org.jfree.layouting.renderer.border

# Class BorderFactory

- `java.lang.Object`
- - `org.jfree.layouting.renderer.border.BorderFactory`

`public class BorderFactory`
`extends java.lang.Object`

Creation-Date: 23.06.2006, 16:52:43

Author:
  Thomas Morgner

  ## Constructor Summary

  `BorderFactory()`

  ## Method Summary

  `Border`

  `createBorder(LayoutContext layoutContext, OutputProcessorMetaData metaData)`

  `static BorderEdge`

  `merge(BorderEdge first, BorderEdge second, long computedParentWidth)`

## Constructor Details

### BorderFactory

    public BorderFactory()

## Method Details

### createBorder

    public Border createBorder(LayoutContext layoutContext,
                               OutputProcessorMetaData metaData)

### merge

    public static BorderEdge merge(BorderEdge first,
                                   BorderEdge second,
                                   long computedParentWidth)